package com.atmob.map_amap_android.util;

import android.content.Context;
import android.util.TypedValue;

public class SizeUtil {

    public static float dp2px(Context context, float dp) {
        return TypedValue.applyDimension(
                TypedValue.COMPLEX_UNIT_DIP,
                dp,
                context.getResources().getDisplayMetrics()
        );
    }

    public static float sp2px(Context context, float sp) {
        return TypedValue.applyDimension(
                TypedValue.COMPLEX_UNIT_SP,
                sp,
                context.getResources().getDisplayMetrics()
        );
    }

    public static float px2dp(Context context, float px) {
        return px / context.getResources().getDisplayMetrics().density;
    }

    public static float px2sp(Context context, float px) {
        return px / context.getResources().getDisplayMetrics().scaledDensity;
    }
}
